## freeradius-0.2.tar.gz

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: Makefile,v 1.28 2001/06/29 23:50:37 cmiller Exp $
#

include Make.inc

SUBDIRS		= libltdl src raddb scripts
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	$(INSTALL) -d -m 755	$(R)$(mandir);
	$(INSTALL) -d -m 755	$(R)$(RUNDIR);
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	$(INSTALL) -d -m 755	$(R)$(raddbdir); \
	cd raddb; \
	for i in [a-c]* [e-z]*; do \
		[ $$i != radiusd.conf.in -a ! -f $(R)$(raddbdir)/$$i ] && \
                $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
	done; \
	for i in dictionary*; do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "** The samples in ../raddb are newer than these files";\
		echo "** Please investigate and copy manually if appropriate";\
	fi

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit 1;\
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in acconfig.h
src/include/stamp-h.in: configure.in acconfig.h
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

=== src/lib/Makefile ===

include ../../Make.inc

OBJS		= dict.o print.o radius.o valuepair.o token.o misc.o \
		log.o filters.o missing.o md5.o hmac.o snprintf.o

INCLUDES	= ../include/radius.h ../include/libradius.h \
		  ../include/missing.h ../include/autoconf.h

CFLAGS		+= -D_LIBRADIUS -I../include

all:	$(LIBPREFIX)radius.a

$(LIBPREFIX)radius.a: $(OBJS)
	$(LIBTOOL) --mode=link $(LD) $(OBJS) -o $(LIBPREFIX)radius.a

#	$(AR) rv $(LIBPREFIX)radius.a $(OBJS)
#	$(RANLIB) $(LIBPREFIX)radius.a

filters.o: filters.c $(INCLUDES)
	$(CC) $(CFLAGS) -c filters.c

print.o: print.c $(INCLUDES)
	$(CC) $(CFLAGS) -c print.c

dict.o: dict.c $(INCLUDES)
	$(CC) $(CFLAGS) -c dict.c

radius.o: radius.c $(INCLUDES)
	$(CC) $(CFLAGS) -c radius.c

valuepair.o: valuepair.c $(INCLUDES)
	$(CC) $(CFLAGS) -c valuepair.c

token.o: token.c $(INCLUDES)
	$(CC) $(CFLAGS) -c token.c

misc.o: misc.c $(INCLUDES)
	$(CC) $(CFLAGS) -c misc.c

log.o:	log.c $(INCLUDES)
	$(CC) $(CFLAGS) -c log.c

missing.o: missing.c $(INCLUDES)
	$(CC) $(CFLAGS) -c missing.c

md5.o: md5.c ../include/md5.h
	$(CC) $(CFLAGS) -c md5.c

hmac.o: hmac.c $(INCLUDES) 
	$(CC) $(CFLAGS) -c hmac.c

snprntf.o: snprintf.c $(INCLUDES)
	$(CC) $(CFLAGS) -c snprintf.c

clean:
	rm -f *.o $(LIBPREFIX)radius.a

install:

=== src/modules/rlm_sql/Makefile ===
TARGET		= rlm_sql
SRCS		= rlm_sql.c sql.c
HEADERS		= rlm_sql.h
RLM_INSTALL	= install-drivers
RLM_CFLAGS	= $(INCLTDL)
RLM_LIBS	=
RLM_SUBDIRS	= drivers

#
#  Not using shared libraries, add in ALL known static modules
# at build time.
#
#ifneq ($(USE_SHARED_LIBS),yes)
#RLM_LIBS	+= $(shell for x in drivers/rlm_*/rlm_*.la;do echo -dlpreopen $$x;done)
#endif

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS) 


all:
	@$(MAKE) $(MFLAGS) static dynamic
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

allclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=clean common

install-drivers:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=install common

common: 
	@for dir in $(RLM_SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit 1;\
	done

include ../rules.mak

=== src/modules/rlm_sql/drivers/rlm_sql_iodbc/Makefile ===
include ../../../../../Make.inc

TARGET		= rlm_sql_iodbc
SRCS		= sql_iodbc.c
HEADERS		= sql_iodbc.h
RLM_SQL_CFLAGS	= $(SQL_ODBC_INCLUDE) $(INCLTDL)
RLM_SQL_LIBS	= $(SQL_ODBC_LIBS)

$(DYNAMIC_OBJS): $(HEADERS) 

###
# over-ride the previous assignment if we're not building anything
ifeq ($(SQL_ODBC_LIBS),)
TARGET        =
endif

include ../rules.mak

=== debian/changelog ===
radiusd-freeradius (?) unstable; urgency=low

  * Build-dep mysql changed package names.
  * Integer values are printed as unsigned numbers, to comply with RFC2866.
  * Fixed broken/reversed auth comparisons in SQL module.
  * Sucked out CPPness from inside a printf, as printf is a macro in newer
    compilers (gcc3.0, e.g.).  (closes: Bug#100889)
  * Sundry LDAP configuration, unresponsive thread, and proxying fixes.
  * Added user 'freerad' into the 'shadow' group.
  * Fixed UUCP-style of restricting time of log-in.
  * Changed debugging messages to give more info about execution flow.
  * Better counter module.  
  * Inserted CHAP support for SQL modules.
  * Removed possible infinite loop.

 -- Chad Miller <cmiller@debian.org>  [TBA]

radiusd-freeradius (0.1+20010527-1) unstable; urgency=low

  * Updated config.{guess,sub} to recent versions.  (closes: Bug#98183)
  * Updated build-dep to reflect supercession of libltdl0-dev by libltdl3-dev
    (closes: Bug#98914)

 -- Chad Miller <cmiller@debian.org>  Sun, 27 May 2001 11:44:40 -0400

radiusd-freeradius (0.1+20010517-1) unstable; urgency=low

  * Moved package to non-US to allow in Kerberos and PostgreSQL.
  * Set Suggests of modules to main package.
  * Better compile-time support of *BSD.

 -- Chad Miller <cmiller@debian.org>  Thu, 17 May 2001 14:46:51 -0400

radiusd-freeradius (0.1-1) unstable; urgency=low

  * First beta release!
  * Added generalized SQL support for ODBC, Oracle, MySQL, and Postgres.
  * Added shasta, microsoft, and redback dictionaries.
  * Fixed rc.d restart rule.
  * Added a user to own the daemon and logfiles.
  * SQL DB handles more forgiving of unreachable servers at startup.
  * SQL Crypt-Password attribute support.
  * Fixed cron log rotation.
  * Put module libraries in own directory.
  * Removed bogus build-dep.  (closes: Bug#87277)
  * Better permissions on /etc/raddb
  * Use correct LDAP library.
  * Fork ldap, postgresql, and mysql modules into different packages.
  * Remove Kerberos, as it's restricted from export.

 -- Chad Miller <cmiller@debian.org>  Mon,  7 May 2001 16:37:46 -0400

radiusd-freeradius (0.0.20010109-1) unstable; urgency=low

  * Changed priority, from standard to optional.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Jan 2001 14:01:38 -0500

radiusd-freeradius (0.0.20001227-1) unstable; urgency=low

  * Initial revision. (closes: Bug#76476)

 -- Chad Miller <cmiller@debian.org>  Wed, 27 Dec 2000 11:58:56 -0500

=== debian/control ===
Source: radiusd-freeradius
Build-Depends: debhelper, libltdl3-dev | libltdl0-dev, libpam0g-dev, postgresql-dev, libmysqlclient6-dev | libmysqlclient10-dev, libgdbmg1-dev, libldap2-dev, libsasl-dev, libsnmp4.2-dev, libiodbc2-dev, libkrb5-dev
Section: non-US/main
Priority: optional
Maintainer: Chad Miller <cmiller@debian.org>
Standards-Version: 3.2.1

Package: radiusd-freeradius
Architecture: any
Depends: ${shlibs:Depends}
Provides: radiusd
Suggests: radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql, radiusd-freeradius-krb5
Conflicts: radiusd, radiusd-livingston, radiusd-cistron
Description: A high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: radiusd-freeradius-krb5
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: Kerberos module for FreeRADIUS server.
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-ldap
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server.
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-postgresql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server.
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: radiusd-freeradius-mysql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server.
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL=/bin/bash
DH_COMPAT=3

package = freeradius
debiandir = $(shell pwd)/debian
tmp     = $(debiandir)/tmp

prefix	= /
exec_prefix	= /usr
mandir	= $(exec_prefix)/share/man
libdir	= $(exec_prefix)/lib/freeradius
logdir	= /var/log/radiusd-freeradius
pkgdocdir	= $(exec_prefix)/share/doc/radiusd-freeradius
raddbdir	= $(prefix)/etc/raddb

build:
# Builds the binary package.
	dh_testdir
	# dh_testroot
	./configure --prefix=$(prefix) --exec-prefix=$(exec_prefix) --libdir=$(libdir) --mandir=$(mandir) --with-logdir=$(logdir) --with-thread-pool --enable-ltdl-install=no --enable-strict-dependencies
	make
	touch build

# Architecture independant files.
binary-indep: build

# Make a binary package (.deb file)
binary-arch: build
	dh_clean
	dh_installdirs
	make install prefix=$(prefix) exec_prefix=$(exec_prefix) mandir=$(mandir) libdir=$(libdir) R=$(tmp)
	# clean up install cruft.  $$&@!%
	rmdir $(tmp)/$(execprefix)/include
	rm $(tmp)/$(execprefix)/usr/sbin/rc.radiusd
	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql; do \
		mkdir -p $(debiandir)/radiusd-freeradius-$${modname}/$(libdir); \
		mv $(tmp)/$(libdir)/rlm*_$${modname}.* $(debiandir)/radiusd-freeradius-$${modname}/$(libdir)/; \
	done
	# man pages & docs
	dh_undocumented 
	install -g root -m 644 CREDITS $(tmp)/$(pkgdocdir)/credits
	find doc -type f -maxdepth 1 ! -path doc/ChangeLog -exec dh_installdocs {} \;
	# dh_installchangelogs doc/ChangeLog
	dh_compress
	# supporting programs
	install -g root -m 755 scripts/radiusd.cron.daily $(tmp)/$(prefix)/etc/cron.daily/freeradius
	install -g root -m 755 scripts/radiusd.cron.monthly $(tmp)/$(prefix)/etc/cron.monthly/freeradius
	install -g root -m 755 $(debiandir)/initscript $(tmp)/$(prefix)/etc/init.d/freeradius
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(tmp)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
		| sed -e '/^	example {/,/^	}/s/^/#/' \
		| sed -e 's/^		#	shadow		=/		shadow		=/' \
		| sed -e 's/^group = nobody/group = freerad/' \
		| sed -e 's/^user = nobody/user = freerad/' \
			> $(tmp)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE
	# 
	dh_strip
	dh_installchangelogs
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	rm -f build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(tmp) radiusd-freeradius-{ldap,postgresql,mysql,krb5}{,.substvars}

binary: binary-indep binary-arch

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/radiusd-freeradius.undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck
